<?php 
$table = 'compras_lineas';
if (!Schema::hasTable($table)) { 
	Schema::create($table, function ($table) {
	    $table->bigIncrements('id');
	    $table->integer('codigo');
	    $table->text('concepto');
	    $table->integer('cantidad');
	   	$table->string('um',20);
	   	$table->float('precio');
	   	$table->string('cuenta',100);
		$table->float('dolares');  
		$table->float('debe');
		$table->float('haber');     	
		$table->string('compras_id');   	
	    $table->timestamps();
	   	$table->integer('users_id');
	   	$table->index(['users_id','compras_id']);
	});
}
unset($table);
?>